Subject: guix edit mutt -- not working
From: Jean Louis <[email-masked]>
To: [email-masked]
Date: Thu, 10 Mar 2016 00:22:20 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

My understanding is that each user, shall be able to:

guix edit mutt

as example, change the options, and get such package, as I wanted to
add: --enable-hcache here:

 `(#:configure-flags '("--enable-smtp"
					   "--enable-imap"
					   "--enable-pop"
					   "--enable-gpgme"
					   "--with-ssl"
					   "--with-sasl"

but I cannot "save" the file, as it is read only:

/gnu/store/632msbms2yaldfnlrb5lbnlnmn9yjisw-guix-0.9.0/share/guile/site/2.0/gnu/packages/mail.scm:
unmodified,
UNLOCKED, readonly: line 206 of 1007 [20%]

And I could not save the file in my home directory, and do:

guix package -i mutt -f mail.scm

I need help in understanding, rather than using mutt, as I want to
urgently run the GNU.

Jean Louis